Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class XfaForm.Xml2Som

    java.lang.Object
      com.lowagie.text.pdf.XfaForm.Xml2Som

Direct Known Subclasses:
  XfaForm.AcroFieldsSearch, XfaForm.Xml2SomDatasets, XfaForm.Xml2SomTemplate

Enclosing class:
  XfaForm

    public static class XfaForm.Xml2Som

extends Object

A class for some basic SOM processing.

Field Summary
`protected int` | `anform` A temporary store for the repetition count.
`protected HashMap` | `inverseSearch` The data to do a search from the bottom hierarchie.
`protected HashMap` | `name2Node` The mapping of full names to nodes.
`protected ArrayList` | `order` The order the names appear in the XML, depth first.
`protected XfaForm.Stack2` | `stack` A stack to be used when parsing.

Constructor Summary
`XfaForm.Xml2Som()`

Method Summary
`static String` | `escapeSom(String s)` Escapes a SOM string fragment replacing "." with "\.".
`HashMap` | `getInverseSearch()` Gets the data to do a search from the bottom hierarchie.
`HashMap` | `getName2Node()` Gets the mapping of full names to nodes.
`ArrayList` | `getOrder()` Gets the order the names appear in the XML, depth first.
`static String` | `getShortName(String s)` Gets the name with the `#subform` removed.
`static void` | `inverseSearchAdd(HashMap inverseSearch, XfaForm.Stack2 stack, String unstack)` Adds a SOM name to the search node chain.
`void` | `inverseSearchAdd(String unstack)` Adds a SOM name to the search node chain.
`String` | `inverseSearchGlobal(ArrayList parts)` Searchs the SOM hiearchie from the bottom.
`protected String` | `printStack()` Outputs the stack as the sequence of elements separated by '.'.
`void` | `setInverseSearch(HashMap inverseSearch)` Sets the data to do a search from the bottom hierarchie.
`void` | `setName2Node(HashMap name2Node)` Sets the mapping of full names to nodes.
`void` | `setOrder(ArrayList order)` Sets the order the names appear in the XML, depth first
`static XfaForm.Stack2` | `splitParts(String name)` Splits a SOM name in the individual parts.
`static String` | `unescapeSom(String s)` Unescapes a SOM string fragment replacing "\." with ".".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### order

    protected ArrayList order

  The order the names appear in the XML, depth first.

### name2Node

    protected HashMap name2Node

  The mapping of full names to nodes.

### inverseSearch

    protected HashMap inverseSearch

  The data to do a search from the bottom hierarchie.

### stack

    protected XfaForm.Stack2 stack

  A stack to be used when parsing.

### anform

    protected int anform

  A temporary store for the repetition count.

Constructor Detail

### XfaForm.Xml2Som

    public XfaForm.Xml2Som()

Method Detail

### escapeSom

    public static String escapeSom(String s)

  Escapes a SOM string fragment replacing "." with "\.".

  Parameters:
    `s` - the unescaped string
  Returns:
    the escaped string

### unescapeSom

    public static String unescapeSom(String s)

  Unescapes a SOM string fragment replacing "\." with ".".

  Parameters:
    `s` - the escaped string
  Returns:
    the unescaped string

### printStack

    protected String printStack()

  Outputs the stack as the sequence of elements separated by '.'.

  Returns:
    the stack as the sequence of elements separated by '.'

### getShortName

    public static String getShortName(String s)

  Gets the name with the `#subform` removed.

  Parameters:
    `s` - the long name
  Returns:
    the short name

### inverseSearchAdd

    public void inverseSearchAdd(String unstack)

  Adds a SOM name to the search node chain.

  Parameters:
    `unstack` - the SOM name

### inverseSearchAdd

    public static void inverseSearchAdd(HashMap inverseSearch,
                                        XfaForm.Stack2 stack,
                                        String unstack)

  Adds a SOM name to the search node chain.

  Parameters:
    `inverseSearch` - the start point
    `stack` - the stack with the separeted SOM parts
    `unstack` - the full name

### inverseSearchGlobal

    public String inverseSearchGlobal(ArrayList parts)

  Searchs the SOM hiearchie from the bottom.

  Parameters:
    `parts` - the SOM parts
  Returns:
    the full name or `null` if not found

### splitParts

    public static XfaForm.Stack2 splitParts(String name)

  Splits a SOM name in the individual parts.

  Parameters:
    `name` - the full SOM name
  Returns:
    the split name

### getOrder

    public ArrayList getOrder()

  Gets the order the names appear in the XML, depth first.

  Returns:
    the order the names appear in the XML, depth first

### setOrder

    public void setOrder(ArrayList order)

  Sets the order the names appear in the XML, depth first

  Parameters:
    `order` - the order the names appear in the XML, depth first

### getName2Node

    public HashMap getName2Node()

  Gets the mapping of full names to nodes.

  Returns:
    the mapping of full names to nodes

### setName2Node

    public void setName2Node(HashMap name2Node)

  Sets the mapping of full names to nodes.

  Parameters:
    `name2Node` - the mapping of full names to nodes

### getInverseSearch

    public HashMap getInverseSearch()

  Gets the data to do a search from the bottom hierarchie.

  Returns:
    the data to do a search from the bottom hierarchie

### setInverseSearch

    public void setInverseSearch(HashMap inverseSearch)

  Sets the data to do a search from the bottom hierarchie.

  Parameters:
    `inverseSearch` - the data to do a search from the bottom hierarchie

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD